org.apache.sling.jcr.contentparser

## Interface ContentHandler

Deprecated.
since version 1.2.8 of the `org.apache.sling.jcr.contentparser` bundle; see `org.apache.sling.contentparser.api`

    @Deprecated
     @ConsumerType
    public interface ContentHandler

Handler that gets notified while parsing content with `ContentParser`. The resources are always reported in order of their paths as found in the content fragment. Parents are always reported before their children.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`void` `resource(String path, Map<String,Object> properties)` Deprecated. Resource found in parsed content.

### Method Detail

#### resource

    void resource(String path,
                  Map<String,Object> properties)

Deprecated.
Resource found in parsed content.

Parameters:
  `path` - Path of resource inside the content fragment. The root resource from the content fragment has a path "/".
  `properties` - Resource properties